QGIS Application - Bug report #21624
Layouts with variables/expressions do not update properly after page format change
2019-03-20 08:50 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.7(master) Regression?: Yes
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29440
Description

When using variables and expressions in a layout in order to position and size items (e.g. @layout_pagewidth and @layout_pageheight in
combination with an expression), then the items do not update properly after a change of page size or orientation.

The sample project contains 2 layouts: "Test" and "Test 2". The first contains only a rectangle, the second one a full layout with all items
positioned and sized dynamically.

In QGIS master (3.7) and LT version (3.4 master) it updates, after pressing the "Refresh View" button.

This used to work in the past. The issue did once appear, was fixed, but now it reincarnated again.

Associated revisions

Revision 10c61eab - 2019-03-21 05:01 AM - Nyall Dawson

[layouts] Refresh layout automatically on page size/orientation change

Fixes #21624

Revision 63137938 - 2019-03-21 05:01 AM - Nyall Dawson

[layouts] Refresh layout automatically on page size/orientation change

Fixes #21624

Revision db751220 - 2019-03-21 05:48 AM - Nyall Dawson

[layouts] Refresh layout automatically on page size/orientation change

Fixes #21624

Revision 199cd8e7 - 2019-03-21 06:46 AM - Nyall Dawson

[layouts] Refresh layout automatically on page size/orientation change

Fixes #21624
Revision ef4a5788 - 2019-03-21 07:50 AM - Nyall Dawson

[layouts] Refresh layout automatically on page size/orientation change

Fixes #21624

History

#1 - 2019-03-20 01:37 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2019-03-21 05:01 AM - Nyall Dawson
- Status changed from Open to In Progress

#3 - 2019-03-21 05:48 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|db75122089ffa03bae2716080f235c59d2bfd18c.
